/*
 * Copyright 2012 Smartling, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this work except in compliance with the License.
 * You may obtain a copy of the License in the LICENSE file, or at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.smartling.api.sdk.file.commandline;

/**
 * Contains the common command line arguments when uploading and retrieving files
 */
public class BaseFileParams
{
    private boolean productionMode;
    private String apiKey;
    private String projectId;

    /**
     * True if the API should use production mode, false if the sandbox should be used.
     * @return
     */
    public boolean isProductionMode()
    {
        return productionMode;
    }

    public void setProductionMode(boolean productionMode)
    {
        this.productionMode = productionMode;
    }

    public String getApiKey()
    {
        return apiKey;
    }

    public void setApiKey(String apiKey)
    {
        this.apiKey = apiKey;
    }

    public String getProjectId()
    {
        return projectId;
    }

    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }
}
